%define origname blacs

Name: lib%origname
Version: 1.1
Release: alt1
Summary: Basic Linear Algebra Communication Subprograms
License: LGPL
Group: Sciences/Mathematics
Url: http://www.netlib.org/blacs/
Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

Source: http://www.netlib.org/blacs/mpiblacs.tar.gz
# patch: http://www.netlib.org/blacs/mpiblacs-patch03.tgz
Source1: Bmake.inc

BuildPreReq: gcc-fortran mvapich2-devel

%description
The BLACS (Basic Linear Algebra Communication Subprograms) project is an ongoing
investigation whose purpose is to create a linear algebra oriented message
passing interface that may be implemented efficiently and uniformly across a
large range of distributed memory platforms.

The length of time required to implement efficient distributed memory algorithms
makes it impractical to rewrite programs for every new parallel machine. The
BLACS exist in order to make linear algebra applications both easier to program
and more portable. It is for this reason that the BLACS are used as the
communication layer of ScaLAPACK.

%package debug
Summary: Debug version of BLACS
Group: Sciences/Mathematics

%description debug
Debug version of BLACS.

%package -n %origname-tests
Summary: Testing executables for BLACS
Group: Sciences/Mathematics

%description -n %origname-tests
Testing executables for BLACS.

%package -n %origname-tests-data
Summary: Testing data files for blacs-tests
Group: Sciences/Mathematics
BuildArch: noarch
Requires: %origname-tests = %version-%release

%description -n %origname-tests-data
Testing data files for blacs-tests.


%prep
%setup -n BLACS
install -p -m644 %SOURCE1 ./

%build
BUILDDIR=`pwd`
sed -i 's|(LIBDIR)|%_libexecdir|' Bmake.inc
sed -i "s|(BUILDDIR)|$BUILDDIR|" Bmake.inc
sed -i -e 's/(OPTFLAGS)/%optflags/g' Bmake.inc
%make_build mpi
mkdir -pv LIB0
mv LIB/*.a LIB0/
make mpi what=clean
sed -i -e 's/\(BLACSDBGLVL\ =\).*/\1 1/' Bmake.inc
%make_build mpi
%make_build tester

# for testing before build BLACS
#pushd INSTALL
#for file in xsize xintface xsyserrors xtc_CsameF77 xtc_UseMpich xcmpi_sane \
#	xfmpi_sane
#do
#	%make_build $file
#done
#popd

%install
mkdir -pv %buildroot%_bindir
mkdir -pv %buildroot%_libdir
mkdir -pv %buildroot%_datadir/%origname-tests
mv LIB/*.a %buildroot%_libdir/
mv LIB0/*.a %buildroot%_libdir/
rm -f TESTING/EXE/Makefile
mv TESTING/EXE/*.dat %buildroot%_datadir/%origname-tests
mv TESTING/EXE/* %buildroot%_bindir/

%files
%doc README
%_libdir/*-0.a

%files debug
%doc README
%_libdir/*-1.a

%files -n %origname-tests
%_bindir/*

%files -n %origname-tests-data
%_datadir/%origname-tests

%changelog
* Sun Feb 15 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.1-alt1
- Initial build for Sisyphus

